Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.repository.impl
Class OtdLocalizedInfoImpl

    java.lang.Object
      com.stc.hl7.repository.impl.HL7ObjectImpl
          com.stc.hl7.repository.impl.LocalizedInfoImpl
              com.stc.hl7.repository.impl.OtdLocalizedInfoImpl

All Implemented Interfaces:
  com.stc.model.common.LocalizedInfo, com.stc.model.common.OTDLocalizedInfo, com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject, java.beans.PropertyChangeListener, java.util.EventListener

    public class OtdLocalizedInfoImpl

extends LocalizedInfoImpl
implements com.stc.model.common.OTDLocalizedInfo

HL7 implementation of OTDLocalizedInfo.

Version:
  $Revision: 1.1 $
Author:
  nang

Field Summary
`static java.lang.String` | `OWNER` Map keyword for release version lookup.

Fields inherited from class com.stc.hl7.repository.impl.LocalizedInfoImpl
`DATA, LANGUAGE, RELATIVE_FILENAME`

Fields inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`persistable`

Fields inherited from interface com.stc.model.common.OTDLocalizedInfo
`RCS_ID`

Constructor Summary
`OtdLocalizedInfoImpl()` Constructs an instance.
`OtdLocalizedInfoImpl(com.stc.model.common.ObjectTypeDefinition parent, java.lang.String language)` Constructs an instance.

Method Summary
`com.stc.model.common.ObjectTypeDefinition` | `getOwner()`
`(package private) void` | `setOwner(com.stc.model.common.ObjectTypeDefinition parent)` Sets the owner for this.

Methods inherited from class com.stc.hl7.repository.impl.LocalizedInfoImpl
`getData, getLanguage, getRelativeFileName, setData, setLanguage, setRelativeFileName`

Methods inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`addPartOfValue, addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, addReferenceValue, deleteReferenceCollection, deleteReferenceValue, deleteReferenceValue, equals, getACLInfo, getBlobProperty, getClassNameAlias, getClassNameAlias, getCreatedBy, getCreationDate, getCUDTracker, getDescription, getLastUpdatedBy, getLastUpdatedDate, getMarshalableSupport, getName, getOID, getOwnerOID, getPartOfCollection, getPartOfProperty, getPartOfValue, getPersistableSupport, getPropertyMap, getReferenceCollection, getReferenceID, getReferenceProperty, getReferenceValue, getRelationshipMap, getVersionInfo, hashCode, initializeOID, isHeaderResolved, isLocked, isVersionable, onDelete, onUnmarshalFinished, onUnmarshalStarting, propertyChange, removePartOfValue, removePartOfValue, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners, removeReferenceValue, removeReferenceValue, resolve, setACLInfo, setBlobProperty, setCreatedBy, setCreationDate, setCUDTracker, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setOwnerOID, setPartOfProperty, setPropertyMap, setReferenceID, setReferenceProperty, setResolver, setUnresolved, setVersionInfo, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.stc.model.common.LocalizedInfo
`getData, getLanguage, getRelativeFileName, setData, setLanguage, setRelativeFileName`

Methods inherited from interface com.stc.repository.RepositoryObject
`getCUDTracker, onDelete, setCUDTracker`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getDescription, getLastUpdatedBy, getLastUpdatedDate, getName, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, isVersionable, resolve, setACLInfo, setCreatedBy, setCreationDate, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Methods inherited from interface com.stc.repository.persistence.client.PropertyChangePublisher
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Field Detail

### OWNER

    public static final java.lang.String OWNER

  Map keyword for release version lookup.

  See Also:
    Constant Field Values

Constructor Detail

### OtdLocalizedInfoImpl

    public OtdLocalizedInfoImpl()

  Constructs an instance. This will be called by Repository unmarshalling.

### OtdLocalizedInfoImpl

    public OtdLocalizedInfoImpl(com.stc.model.common.ObjectTypeDefinition parent,
                                java.lang.String language)
                         throws com.stc.repository.RepositoryException

  Constructs an instance.

  Parameters:
    `parent` - the parent TypeManager
    `language` - the name
  Throws:
    `com.stc.repository.RepositoryException` - if this operation fails

Method Detail

### getOwner

    public com.stc.model.common.ObjectTypeDefinition getOwner()
                                                       throws com.stc.repository.RepositoryException

  Specified by:
    `getOwner` in interface `com.stc.model.common.OTDLocalizedInfo`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `OTDLocalizedInfo.getOwner()`

### setOwner

    void setOwner(com.stc.model.common.ObjectTypeDefinition parent)
            throws com.stc.repository.RepositoryException

  Sets the owner for this.

  Parameters:
    `parent` - an owner
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository was failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD